<template>
    <div class="row clearfix">
        <div v-for="i of agency" :key="i.id" class="col-lg-3 col-md-4 col-sm-6">
            <div class="card xl-blue member-card doctor">
                <div class="body">
                    <div class="member-thumb">
                        <img
                            :src="i.logo ? i.logo : '/img/logo.png'"
                            class="img-fluid"
                            alt="profile-image"
                        />
                    </div>
                    <div class="detail">
                        <h4
                            class="m-b-0"
                            :class="template == 'dark' ? 'text-dark' : ''"
                        >
                            {{ i.company_name }}
                        </h4>
                        <p class="text-muted">Dentist</p>
                        <ul class="social-links list-inline m-t-20">
                            <li v-if="i.facebook">
                                <a
                                    title="facebook"
                                    :href="'https://facebook.com/' + i.facebook"
                                    ><i class="zmdi zmdi-facebook"></i
                                ></a>
                            </li>
                            <li v-if="i.twitter">
                                <a
                                    title="twitter"
                                    :href="'https://twitter.com/' + i.twitter"
                                    ><i class="zmdi zmdi-twitter"></i
                                ></a>
                            </li>
                            <li v-if="i.instagram">
                                <a
                                    title="instagram"
                                    :href="
                                        'https://instagram.com/' + i.instagram
                                    "
                                    ><i class="zmdi zmdi-instagram"></i
                                ></a>
                            </li>
                            <li v-if="i.linkedin">
                                <a
                                    title="linkedin"
                                    :href="'https://linkedin.com/' + i.linkedin"
                                    ><i class="zmdi zmdi-linkedin"></i
                                ></a>
                            </li>
                        </ul>
                        <p
                            :class="
                                template == 'dark' ? 'text-dark' : 'text-muted'
                            "
                        >
                            {{ i.country }}, {{ i.city }} {{ i.postal_code }}
                        </p>
                        <a
                            href="javascript:void(0);"
                            @click="url(i)"
                            class="btn btn-default btn-round btn-simple"
                            >{{ field.see_agency }}</a
                        >
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
export default {
    props: ["country", "lang", "t"],
    mounted() {
        this.get();
    },
    data() {
        return {
            template: this.t,
            c: this.country,
            agency: null,
            field: this.lang
        };
    },
    methods: {
        get() {
            axios.get("/api/agency?country=" + this.c).then(res => {
                console.log(res);
                this.agency = res.data;
            });
        },
        url(i) {
            localStorage.setItem("agency_selected", JSON.stringify(i));
            return (location.href += "/show/" + i.id);
        }
    }
};
</script>
